Brief History and Acknowledgements {#acknowledgements}
========

## History of DREAM.3D ##
The history of DREAM.3D is rooted in two parallel research efforts:

+ The first was the graduate research project of Michael Groeber, under the advisement of Dr. Somnath Ghosh, at The Ohio State University (2003-2007).  The key developments under this project were the creation of many of DREAM.3D's current filters for reconstructing serial-section experimental datasets, quantifying microstructural features in 3D and generating statistically equivalent microstructures.
+ The second research effort was carried out by the research group of Tony Rollett at Carnegie Mellon University over a number of graduate student projects (see names below) and years (~2000-2011).  The key developments under these projects were the development of a synthetic microstructure builder, microstructure clean-up tools, surface mesh generation and quantification tools for microstructural features.

The tools developed under these efforts generally remained as command-line executables with limited portability due to lack of documentation.  In an effort to extend the capabilites of these tools to the larger materials community, Dr. Chris Woodward of the Air Force Research Laboratory (AFRL) funded Mike Jackson of BlueQuartz Software to create Graphical User Interfaces (GUIs), common data structures and documentation for the tools developed in the research effort of Groeber and Ghosh (2009-2011).  After the initial phase of development (2011), Jackson and Groeber approached Rollett, Lee, Sintay, Chan and Tucker and proposed the unification of the parallel efforts.  The Rollett group accepted the proposal and graciously made available all of their algorithms and source code.  It was at this point that DREAM.3D was named and the vision for the software was truly solidified.

Over the next couple years (2011-2013), additional researchers contributed code for extending capabilities of DREAM.3D.  Specifically, the grain boundary-centric tools of Dave Rowenhorst (Naval Research Laboratory) and Greg Rohrer (Carnegie Mellon University) greatly augmented the functionality of the package.

By 2013, Jackson and Groeber had fully documented the tools, created a Software Developer's Kit (SDK) and generated tools for adding plugins to the package, making the software package readily usable and extensible.


## Funding Sources ##
Parts of DREAM.3D were written under US Air Force (AFRL) Contract FA8650-07-D-5800 and Navy Research Labs (NRL) Contract N00173-07-C-2068. Many others have contributed to the code including the following:

## Major Contributing Institutions ##

![Contributing Institutions](Images/DREAM3D_Contributors.png)

@image latex Images/DREAM3D_Contributors.png "Contributing Institutions " width=4.75in

## List of Code Contributors (CC) and Vision Contributors (VC) ###

### Air Force Research Laboratory (AFRL) ###
+ Dr. Michael A. Groeber (VC, CC)
+ Dr. Adam Pilchak (VC, CC)
+ Dr. Megna Shah (VC, CC)
+ Dr. Michael Uchic (VC)
+ Dr. Chris Woodward (VC)
+ Dr. Dennis Dimiduk (VC)

### BlueQuartz Software ###
+ Mr. Michael A. Jackson (VC, CC)

### Ohio State University/Johns Hopkins University ###
+ Dr. Somnath Ghosh (VC)

### Carnegie Mellon University ###
+ Dr. Tony Rollett (VC, CC)
+ Dr. Greg Rohrer (CC)
+ Dr. Marc De Graef (CC)
+ Dr. Sukbin Lee (CC)
+ Dr. Joe Tucker (CC)
+ Dr. Lisa Chan (CC)
+ Dr. Stephen Sintay (CC)
+ Dr. Abhijeet Brahme (CC)
+ Dr. David Saylor (CC)
+ Dr. Joe Fridy (CC)
+ Dr. Patrick Callahan (CC)
+ Dr. Shlomo Taasan (CC)

### Navy Research Laboratory (NRL) ###
+ Dr. Dave Rowenhorst (VC, CC)

### Other Insitituations ###
+ Mr. Joey Kleingers (CC) (SOCHE)
+ Mr. Jarrell Waggoner (CC) (Univ. South Carolina)



@htmlonly
|   | Navigation |    |
|----|---------|------|
| --| [Top](index.html) | [Next Section](datastructure.html) |
@endhtmlonly